commit:     f8cacbfdf54eec41cdd8c37fe8b64bb284f268d4
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  2 06:24:50 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Dec  2 07:22:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f8cacbfd

dev-qt/qtlocation: add 6.8.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtlocation/Manifest                |  1 +
 dev-qt/qtlocation/qtlocation-6.8.1.ebuild | 44 +++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
index 4ae3a0d52a44..5ac9b51eb611 100644
--- a/dev-qt/qtlocation/Manifest
+++ b/dev-qt/qtlocation/Manifest
@@ -4,5 +4,6 @@ DIST qtlocation-everywhere-opensource-src-5.15.16.tar.xz 
6548480 BLAKE2B 9f6d66d
 DIST qtlocation-everywhere-src-6.7.2.tar.xz 3166188 BLAKE2B 
ca22bc51308b5f5b28f96bedd4190ad747bd335790ec0975e1dc381d8fdacf720907a9842ec01cdd1add3d56549d4c096021731ea3268423d3288e1b24c993a6
 SHA512 
d7b8d4b9c99247362747d2d8fcf9207e710bed70c320d5c38e6868760cfe5ae2a158d1c0496af939a3e0d74369a86673cddfb25096ff8dda8dc209fd0df94e21
 DIST qtlocation-everywhere-src-6.7.3.tar.xz 3166232 BLAKE2B 
be9833355f758c6a7ffc799c911262c841f3419691a37a3ec21d3a2f2ffead23e69fce09811a8071c9454070659f7ea8a81eeb7ee5d7cfd89e5d76889649d8f6
 SHA512 
e905001e5edd4aa6fc3e28e7d9e0461083706510ae652bb8329a3eb9d0ca6a8cbea75ded54538e35a1a9389d743a41a4d1834f29184d398bdbb1281c0f4f591a
 DIST qtlocation-everywhere-src-6.8.0.tar.xz 3166076 BLAKE2B 
5797705a6ec7dbb4050fe0e8f9a20e50578b7fc61cba26ed757812cc375e590d73b61190b6dbd321965c0ca6058f8ba9b1c46df69be7e8a60a37596314a53af5
 SHA512 
dcbeb6306c58b8809054be070fdcb00c8b3397c934bbd433d3e3152275cbbd662d67c9316a5724a229ec6e2874d5a2d33fa9693f1a0f0c4ffb294b92a0387d49
+DIST qtlocation-everywhere-src-6.8.1.tar.xz 3164180 BLAKE2B 
12544d071894925abbc4c8af6875fafa5bf628e8814ef96a85caa2a0135b2a30cb4c68a96feb21b3b6ae20e53343f8fb14684a27d86a08b6cc3803830f38d6c7
 SHA512 
0d002e99b1e7434814a58e560a0730f0b1f9cc81cfe7d01001b2a2bd213b5ceaa4deaf6693f210f8576d7e76ac32fe22e758bc9c03888e7acfd4440902d454ac
 DIST qtlocation-mapboxgl-5.15.14-35d56672.tar.gz 3726302 BLAKE2B 
f51c0589a06fab35ba85b3bf4ca8a1904cda5aec47b17fdf747da527d02be623a76b1af5883b33267fab825a4b5d0863ea0220f2907e98e286b40d4a0bbc82e5
 SHA512 
5c2ff6ab7e4382d87546a802c5603bdcec3deb7fbb836fc981292c67660514caaa6118e164d2e099d0304710035572706562ec84e4aba5ce36b01cade8b0993e
 DIST qtlocation-mapboxgl-5.15.16-35d56672.tar.gz 3726302 BLAKE2B 
f51c0589a06fab35ba85b3bf4ca8a1904cda5aec47b17fdf747da527d02be623a76b1af5883b33267fab825a4b5d0863ea0220f2907e98e286b40d4a0bbc82e5
 SHA512 
5c2ff6ab7e4382d87546a802c5603bdcec3deb7fbb836fc981292c67660514caaa6118e164d2e099d0304710035572706562ec84e4aba5ce36b01cade8b0993e

diff --git a/dev-qt/qtlocation/qtlocation-6.8.1.ebuild 
b/dev-qt/qtlocation/qtlocation-6.8.1.ebuild
new file mode 100644
index 000000000000..d407e2f12e54
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-6.8.1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Location (places, maps, navigation) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+fi
+
+RDEPEND="
+       ~dev-qt/qtbase-${PV}:6[network]
+       ~dev-qt/qtdeclarative-${PV}:6
+       ~dev-qt/qtpositioning-${PV}:6[qml]
+"
+DEPEND="${RDEPEND}"
+
+CMAKE_SKIP_TESTS=(
+       # ignores QML_IMPORT_PATH (unlike other tests) and looks in
+       # the missing builddir/qml, skip rather than work around
+       tst_declarative_ui
+)
+
+src_install() {
+       qt6-build_src_install
+
+       if use test; then
+               local delete=( # sigh
+                       
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*TestGeoServicePlugin*.cmake
+                       
"${D}${QT6_LIBDIR}"/cmake/Qt6Location/*UnsupportedPlacesGeoServicePlugin*.cmake
+                       
"${D}${QT6_LIBDIR}"/cmake/Qt6Qml/QmlPlugins/*declarative_location_test*.cmake
+                       
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_geocodingplugin.so
+                       
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_placesplugin_unsupported.so
+                       
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_qmltestplugin.so
+                       
"${D}${QT6_PLUGINDIR}"/geoservices/libqtgeoservices_routingplugin.so
+                       "${D}${QT6_QMLDIR}"/QtLocation/Test
+               )
+               # using -f given not tracking which tests may be skipped or not
+               rm -rf -- "${delete[@]}" || die
+       fi
+}

Reply via email to